package org.springblade.person.feign;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.plugins.Page;
import org.springblade.core.mp.support.BladePage;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.person.dto.HouseUserDTO;
import org.springblade.person.dto.MemberDTO;
import org.springblade.person.entity.HouseUser;
import org.springblade.person.vo.HouseUserVO;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Component
public class HouseUserClientFallback implements IHouseUserClient {
	@Override
	public Boolean logout(Long memberId) {
		return false;
	}

	/**
	 * 详情
	 */
	@Override
	public HouseUserVO detail(HouseUser houseUser) {
		return null;
	}

	/**
	 * 查询
	 */
	@Override
	public List<HouseUserVO> list(HouseUser houseUser) {
		return new ArrayList<>();
	}

	@Override
	public List<HouseUser> listInRoomIds(List<Long> roomIds) {
		return null;
	}

	@Override
	public List<HouseUserVO> listMap(Map<String, Object> houseUser) {
		return new ArrayList<>();
	}

	@Override
	public List<HouseUserVO> getListByUserIds(List<Long> userIds) {
		return new ArrayList<>();
	}

	@Override
	public Page<HouseUserVO> getPageByRoomIds(List<Long> roomIds, Query query) {
		return new Page<>();
	}


	/**
	 * 新增
	 */
	@Override
	public boolean save(HouseUser houseUser) {
		return false;
	}

	/**
	 * 修改
	 */
	@Override
	public boolean update(HouseUser houseUser) {
		return false;
	}

	/**
	 * 新增或修改
	 */
	@Override
	public boolean submit(HouseUser houseUser) {
		return false;
	}


	/**
	 * 删除
	 */
	@Override
	public boolean remove(String ids) {
		return false;
	}

	@Override
	public boolean deleteUserAndRelationship(HouseUserDTO userDto) {
		return false;
	}

	@Override
	public HouseUser getById(Long id) {
		return null;
	}

	@Override
	public R<HouseUser> applySave(HouseUser houseUser) {
		return null;
	}

	@Override
	public Integer houseUserCount(HouseUser staff) {
		return null;
	}

	@Override
	public Integer yxfCount(List<Long> ids) {
		return null;
	}

	@Override
	public int count(@Valid HouseUser houseUser) {
		return 0;
	}

	@Override
	public List<HouseUserVO> getListByMember(Long memberId, Long residentialId, Long roomId) {
		return null;
	}

	@Override
	public R<BladePage<HouseUserVO>> getPageByMember(MemberDTO memberDTO) {
		return null;
	}

	@Override
	public Boolean updateUserByIds(List<Long> ids, String memberId) {
		return null;
	}


}
